Index: netstat/atalk.c
===================================================================
RCS file: /cvs/src/usr.bin/netstat/atalk.c,v
retrieving revision 1.2
diff -u -u -r1.2 atalk.c
--- netstat/atalk.c	17 Jun 2003 04:29:30 -0000	1.2
+++ netstat/atalk.c	7 Nov 2004 20:02:15 -0000
@@ -112,15 +112,15 @@
 		return "????";
 	default:
 		if (numeric_port) {
-			(void)snprintf(mybuf, sizeof(mybuf), "%d",
+			snprintf(mybuf, sizeof(mybuf), "%d",
 			    (unsigned int)sat->sat_port);
 		} else {
 			serv = getservbyport(sat->sat_port, "ddp");
 			if (serv == NULL)
-				(void)snprintf(mybuf, sizeof(mybuf), "%d",
+				snprintf(mybuf, sizeof(mybuf), "%d",
 				    (unsigned int) sat->sat_port);
 			else
-				(void) snprintf(mybuf, sizeof(mybuf), "%s",
+				snprintf(mybuf, sizeof(mybuf), "%s",
 				    serv->s_name);
 		}
 	}
Index: netstat/if.c
===================================================================
RCS file: /cvs/src/usr.bin/netstat/if.c,v
retrieving revision 1.7
diff -u -u -r1.7 if.c
--- netstat/if.c	30 Aug 2004 18:06:49 -0000	1.7
+++ netstat/if.c	7 Nov 2004 20:02:15 -0000
@@ -563,9 +563,9 @@
 	memset(sum, 0, sizeof(struct iftot));
 
 
-	(void)signal(SIGALRM, catchalarm);
+	signal(SIGALRM, catchalarm);
 	signalled = NO;
-	(void)alarm(interval);
+	alarm(interval);
 	first = 1;
 banner:
 	printf("%17s %14s %16s", "input",
@@ -654,7 +654,7 @@
 	}
 	sigsetmask(oldmask);
 	signalled = NO;
-	(void)alarm(interval);
+	alarm(interval);
 	line++;
 	first = 0;
 	if (line == 21)
Index: netstat/inet6.c
===================================================================
RCS file: /cvs/src/usr.bin/netstat/inet6.c,v
retrieving revision 1.4
diff -u -u -r1.4 inet6.c
--- netstat/inet6.c	30 Aug 2004 18:06:50 -0000	1.4
+++ netstat/inet6.c	7 Nov 2004 20:02:15 -0000
@@ -1080,7 +1080,7 @@
 		first = 0;
 		if (gethostname(domain, MAXHOSTNAMELEN) == 0 &&
 		    (cp = strchr(domain, '.')))
-			(void) strcpy(domain, cp + 1);
+			strcpy(domain, cp + 1);
 		else
 			domain[0] = 0;
 	}
Index: netstat/main.c
===================================================================
RCS file: /cvs/src/usr.bin/netstat/main.c,v
retrieving revision 1.6
diff -u -u -r1.6 main.c
--- netstat/main.c	8 Mar 2004 22:41:05 -0000	1.6
+++ netstat/main.c	7 Nov 2004 20:02:15 -0000
@@ -730,7 +730,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n",
 "usage: netstat [-AaLnSW] [-f protocol_family | -p protocol]\n"
 "               [-M core] [-N system]",
 "       netstat -i | -I interface [-abdnt] [-f address_family]\n"
Index: netstat/route.c
===================================================================
RCS file: /cvs/src/usr.bin/netstat/route.c,v
retrieving revision 1.6
diff -u -u -r1.6 route.c
--- netstat/route.c	14 Sep 2004 00:27:18 -0000	1.6
+++ netstat/route.c	7 Nov 2004 20:02:15 -0000
@@ -655,7 +655,7 @@
 
 		if (sdl->sdl_nlen == 0 && sdl->sdl_alen == 0 &&
 		    sdl->sdl_slen == 0)
-			(void) sprintf(workbuf, "link#%d", sdl->sdl_index);
+			sprintf(workbuf, "link#%d", sdl->sdl_index);
 		else
 			switch (sdl->sdl_type) {
 
Index: newkey/newkey.c
===================================================================
RCS file: /cvs/src/usr.bin/newkey/newkey.c,v
retrieving revision 1.3
diff -u -u -r1.3 newkey.c
--- newkey/newkey.c	4 Oct 2003 20:36:49 -0000	1.3
+++ newkey/newkey.c	7 Nov 2004 20:02:15 -0000
@@ -112,19 +112,19 @@
 		pw = getpwnam(argv[2]);
 		if (pw == NULL)
 			errx(1, "unknown user: %s", argv[2]);
-		(void)user2netname(name, (int)pw->pw_uid, (char *)NULL);
+		user2netname(name, (int)pw->pw_uid, (char *)NULL);
 	} else {
 #ifdef undef
 		h = gethostbyname(argv[2]);
 		if (h == NULL)
 			errx(1, "unknown host: %s", argv[1]);
-		(void)host2netname(name, h->h_name, (char *)NULL);
+		host2netname(name, h->h_name, (char *)NULL);
 #else
-		(void)host2netname(name, argv[2], (char *)NULL);
+		host2netname(name, argv[2], (char *)NULL);
 #endif
 	}
 
-	(void)printf("Adding new key for %s.\n", name);
+	printf("Adding new key for %s.\n", name);
 	pass = getpass("New password:");
 	genkeys(public, secret, pass);
 
@@ -140,7 +140,7 @@
 		errx(1, "password incorrect");
 
 #ifdef YP
-	(void)printf("Please wait for the database to get updated...\n");
+	printf("Please wait for the database to get updated...\n");
 #endif
 	if ((status = setpublicmap(name, public, crypt1))) {
 #ifdef YP
@@ -151,7 +151,7 @@
 			status, err_string(status));
 #endif
 	}
-	(void)printf("Your new key has been successfully stored away.\n");
+	printf("Your new key has been successfully stored away.\n");
 	exit(0);
 	/* NOTREACHED */
 }
@@ -159,7 +159,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n",
 		"usage: newkey [-u username]",
 		"       newkey [-h hostname]");
 	exit(1);
@@ -172,7 +172,7 @@
 {
 	char pkent[1024];
 
-	(void)sprintf(pkent, "%s:%s", public, secret);
+	sprintf(pkent, "%s:%s", public, secret);
 #ifdef YP
 	return (mapupdate(name, PKMAP, YPOP_STORE,
 		strlen(name), name, strlen(pkent), pkent));
Index: newkey/update.c
===================================================================
RCS file: /cvs/src/usr.bin/newkey/update.c,v
retrieving revision 1.3
diff -u -u -r1.3 update.c
--- newkey/update.c	4 Oct 2003 20:36:49 -0000	1.3
+++ newkey/update.c	7 Nov 2004 20:02:15 -0000
@@ -99,7 +99,7 @@
 #ifdef DEBUG
 	printf("%s %s\n", key, data);
 #endif
-	(void)sprintf(updater, "make -s -f %s/%s %s", YPDBPATH, /* !!! */
+	sprintf(updater, "make -s -f %s/%s %s", YPDBPATH, /* !!! */
 					UPDATEFILE, mapname);
 	pid = _openchild(updater, &childargs, &childrslt);
 	if (pid < 0) {
@@ -109,23 +109,23 @@
 	/*
 	 * Write to child
 	 */
-	(void)fprintf(childargs, "%s\n", requester);
-	(void)fprintf(childargs, "%u\n", op);
-	(void)fprintf(childargs, "%u\n", keylen);
-	(void)fwrite(key, (int)keylen, 1, childargs);
-	(void)fprintf(childargs, "\n");
-	(void)fprintf(childargs, "%u\n", datalen);
-	(void)fwrite(data, (int)datalen, 1, childargs);
-	(void)fprintf(childargs, "\n");
-	(void)fclose(childargs);
+	fprintf(childargs, "%s\n", requester);
+	fprintf(childargs, "%u\n", op);
+	fprintf(childargs, "%u\n", keylen);
+	fwrite(key, (int)keylen, 1, childargs);
+	fprintf(childargs, "\n");
+	fprintf(childargs, "%u\n", datalen);
+	fwrite(data, (int)datalen, 1, childargs);
+	fprintf(childargs, "\n");
+	fclose(childargs);
 
 	/*
 	 * Read from child
 	 */
-	(void)fscanf(childrslt, "%d", &yperrno);
-	(void)fclose(childrslt);
+	fscanf(childrslt, "%d", &yperrno);
+	fclose(childrslt);
 
-	(void)wait(&status);
+	wait(&status);
 #ifdef WEXITSTATUS
 	if (WEXITSTATUS(status) != 0) {
 #else
@@ -163,19 +163,19 @@
 		/*
 		 * child: read from pdto[0], write into pdfrom[1]
 		 */
-		(void)close(0);
-		(void)dup(pdto[0]);
-		(void)close(1);
-		(void)dup(pdfrom[1]);
+		close(0);
+		dup(pdto[0]);
+		close(1);
+		dup(pdfrom[1]);
 		getrlimit(RLIMIT_NOFILE, &rl);
 		for (i = rl.rlim_max - 1; i >= 3; i--) {
-			(void) close(i);
+			close(i);
 		}
 		com = malloc((unsigned) strlen(command) + 6);
 		if (com == NULL) {
 			_exit(~0);
 		}
-		(void)sprintf(com, "exec %s", command);
+		sprintf(com, "exec %s", command);
 		execl(SHELL, basename(SHELL), "-c", com, NULL);
 		_exit(~0);
 
@@ -184,9 +184,9 @@
 		 * parent: write into pdto[1], read from pdfrom[0]
 		 */
 		*fto = fdopen(pdto[1], "w");
-		(void)close(pdto[0]);
+		close(pdto[0]);
 		*ffrom = fdopen(pdfrom[0], "r");
-		(void)close(pdfrom[1]);
+		close(pdfrom[1]);
 		break;
 	}
 	return (pid);
@@ -195,11 +195,11 @@
 	 * error cleanup and return
 	 */
 error3:
-	(void)close(pdfrom[0]);
-	(void)close(pdfrom[1]);
+	close(pdfrom[0]);
+	close(pdfrom[1]);
 error2:
-	(void)close(pdto[0]);
-	(void)close(pdto[1]);
+	close(pdto[0]);
+	close(pdto[1]);
 error1:
 	return (-1);
 }
Index: nfsstat/nfsstat.c
===================================================================
RCS file: /cvs/src/usr.bin/nfsstat/nfsstat.c,v
retrieving revision 1.4
diff -u -u -r1.4 nfsstat.c
--- nfsstat/nfsstat.c	16 Jul 2004 00:55:04 -0000	1.4
+++ nfsstat/nfsstat.c	7 Nov 2004 20:02:15 -0000
@@ -426,7 +426,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: nfsstat [-csW] [-M core] [-N system] [-w interval]\n");
 	exit(1);
 }
Index: nice/nice.c
===================================================================
RCS file: /cvs/src/usr.bin/nice/nice.c,v
retrieving revision 1.3
diff -u -u -r1.3 nice.c
--- nice/nice.c	4 Oct 2003 20:36:49 -0000	1.3
+++ nice/nice.c	7 Nov 2004 20:02:15 -0000
@@ -99,6 +99,6 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: nice [-n incr] utility [arguments]\n");
+	fprintf(stderr, "usage: nice [-n incr] utility [arguments]\n");
 	exit(1);
 }
Index: nl/nl.c
===================================================================
RCS file: /cvs/src/usr.bin/nl/nl.c,v
retrieving revision 1.3
diff -u -u -r1.3 nl.c
--- nl/nl.c	4 Oct 2003 20:36:49 -0000	1.3
+++ nl/nl.c	7 Nov 2004 20:02:15 -0000
@@ -144,7 +144,7 @@
 	char *ep;
 	size_t intbuffersize;
 
-	(void)setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	while ((c = getopt(argc, argv, "pb:d:f:h:i:l:n:s:v:w:")) != -1) {
 		switch (c) {
@@ -281,7 +281,7 @@
 	line = startnum;
 	section = BODY;
 #ifdef __GNUC__
-	(void)&donumber;	/* avoid bogus `uninitialized' warning */
+	&donumber;	/* avoid bogus `uninitialized' warning */
 #endif
 
 	while (fgets(buffer, (int)buffersize, stdin) != NULL) {
@@ -330,13 +330,13 @@
 		if (donumber) {
 			/* Note: sprintf() is safe here. */
 			consumed = sprintf(intbuffer, format, width, line);
-			(void)printf("%s",
+			printf("%s",
 			    intbuffer + max(0, consumed - width));
 			line += incr;
 		} else {
-			(void)printf("%*s", width, "");
+			printf("%*s", width, "");
 		}
-		(void)printf("%s%s", sep, buffer);
+		printf("%s%s", sep, buffer);
 
 		if (ferror(stdout))
 			err(EXIT_FAILURE, "output error");
@@ -378,7 +378,7 @@
 		/* Compile/validate the supplied regular expression. */
 		if ((error = regcomp(&numbering_properties[section].expr,
 		    &argstr[1], REG_NEWLINE|REG_NOSUB)) != 0) {
-			(void)regerror(error,
+			regerror(error,
 			    &numbering_properties[section].expr,
 			    errorbuf, sizeof (errorbuf));
 			errx(EXIT_FAILURE,
@@ -398,7 +398,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: nl [-p] [-b type] [-d delim] [-f type] \
+	fprintf(stderr, "usage: nl [-p] [-b type] [-d delim] [-f type] \
 [-h type] [-i incr] [-l num]\n\t[-n format] [-s sep] [-v startnum] [-w width] \
 [file]\n");
 	exit(EXIT_FAILURE);
Index: nm/nm.c
===================================================================
RCS file: /cvs/src/usr.bin/nm/nm.c,v
retrieving revision 1.3
diff -u -u -r1.3 nm.c
--- nm/nm.c	4 Oct 2003 20:36:50 -0000	1.3
+++ nm/nm.c	7 Nov 2004 20:02:15 -0000
@@ -161,7 +161,7 @@
 	}
 
 	if (fcount > 1 && !table)
-		(void)printf("\n%s:\n", fname);
+		printf("\n%s:\n", fname);
 
 	/*
 	 * first check whether this is an object file - read a object
@@ -169,7 +169,7 @@
 	 */
 	if (fread((char *)&exec_head, sizeof(exec_head), (size_t)1, fp) != 1) {
 		warnx("%s: bad format", fname);
-		(void)fclose(fp);
+		fclose(fp);
 		return(1);
 	}
 	rewind(fp);
@@ -179,13 +179,13 @@
 		if (fread(magic, sizeof(magic), (size_t)1, fp) != 1 ||
 		    strncmp(magic, ARMAG, SARMAG)) {
 			warnx("%s: not object file or archive", fname);
-			(void)fclose(fp);
+			fclose(fp);
 			return(1);
 		}
 		retval = show_archive(fname, fp);
 	} else
 		retval = show_objfile(fname, fp);
-	(void)fclose(fp);
+	fclose(fp);
 	return(retval);
 }
 
@@ -228,7 +228,7 @@
 		/* bad archive entry - stop processing this archive */
 		if (strncmp(ar_head.ar_fmag, ARFMAG, sizeof(ar_head.ar_fmag))) {
 			warnx("%s: bad format archive header", fname);
-			(void)free(name);
+			free(name);
 			return(1);
 		}
 
@@ -254,7 +254,7 @@
 			if (fread(ar_name, 1, len, fp) != len)
 			{
 				warnx("EOF reading format 1 long name");
-				(void)free(name);
+				free(name);
 				return(1);
 			}
 			ar_name[len] = 0;
@@ -284,7 +284,7 @@
 		/* get and check current object's header */
 		if (fread((char *)&exec_head, sizeof(exec_head), (size_t)1, fp) != 1) {
 			warnx("%s: premature EOF", name);
-			(void)free(name);
+			free(name);
 			return(1);
 		}
 
@@ -294,10 +294,10 @@
 				rval = 1;
 			}
 		} else {
-			(void)fseek(fp, -(long)sizeof(exec_head),
+			fseek(fp, -(long)sizeof(exec_head),
 			    SEEK_CUR);
 			if (!print_file_each_line && !table)
-				(void)printf("\n%s:\n", name);
+				printf("\n%s:\n", name);
 			rval |= show_objfile(name, fp);
 		}
 
@@ -309,11 +309,11 @@
 skip:		if (fseek(fp, last_ar_off + even(atol(ar_head.ar_size)),
 		    SEEK_SET)) {
 			warn("%s", fname);
-			(void)free(name);
+			free(name);
 			return(1);
 		}
 	}
-	(void)free(name);
+	free(name);
 	return(rval);
 }
 
@@ -369,7 +369,7 @@
 	nrawnames = head.a_syms / sizeof(*names);
 	if (fread((char *)names, (size_t)head.a_syms, (size_t)1, fp) != 1) {
 		warnx("%s: cannot read symbol table", objname);
-		(void)free((char *)names);
+		free((char *)names);
 		return(1);
 	}
 
@@ -380,7 +380,7 @@
 	 */
 	if (fread((char *)&stabsize, sizeof(stabsize), (size_t)1, fp) != 1) {
 		warnx("%s: cannot read stab size", objname);
-		(void)free((char *)names);
+		free((char *)names);
 		return(1);
 	}
 	stab = emalloc((size_t)stabsize);
@@ -392,8 +392,8 @@
 	stabsize -= 4;		/* we already have the size */
 	if (fread(stab + 4, (size_t)stabsize, (size_t)1, fp) != 1) {
 		warnx("%s: stab truncated..", objname);
-		(void)free((char *)names);
-		(void)free(stab);
+		free((char *)names);
+		free(stab);
 		return(1);
 	}
 
@@ -438,8 +438,8 @@
 	for (np = names, i = 0; i < nnames; np++, i++)
 		print_symbol(objname, np);
 
-	(void)free((char *)names);
-	(void)free(stab);
+	free((char *)names);
+	free(stab);
 	return(0);
 }
 
@@ -455,10 +455,10 @@
 	if (table) {
 		printf("%s|", objname);
 		if (SYMBOL_TYPE(sym->n_type) != N_UNDF)
-			(void)printf("%08lx", (u_long)sym->n_value);
-		(void)printf("|");
+			printf("%08lx", (u_long)sym->n_value);
+		printf("|");
 		if (IS_DEBUGGER_SYMBOL(sym->n_type))
-			(void)printf("-|%02x %04x %5s|", sym->n_other,
+			printf("-|%02x %04x %5s|", sym->n_other,
 			    sym->n_desc&0xffff, typestring(sym->n_type));
 		else {
 			putchar(typeletter(sym->n_type));
@@ -468,30 +468,30 @@
 		}
 
 		/* print the symbol's name */
-		(void)printf("%s\n",sym->n_un.n_name);
+		printf("%s\n",sym->n_un.n_name);
 		return;
 	}
 	if (print_file_each_line)
-		(void)printf("%s:", objname);
+		printf("%s:", objname);
 
 	/*
 	 * handle undefined-only format separately (no space is
 	 * left for symbol values, no type field is printed)
 	 */
 	if (print_only_undefined_symbols) {
-		(void)puts(sym->n_un.n_name);
+		puts(sym->n_un.n_name);
 		return;
 	}
 
 	/* print symbol's value */
 	if (SYMBOL_TYPE(sym->n_type) == N_UNDF)
-		(void)printf("        ");
+		printf("        ");
 	else
-		(void)printf("%08lx", (u_long)sym->n_value);
+		printf("%08lx", (u_long)sym->n_value);
 
 	/* print type information */
 	if (IS_DEBUGGER_SYMBOL(sym->n_type))
-		(void)printf(" - %02x %04x %5s ", sym->n_other,
+		printf(" - %02x %04x %5s ", sym->n_other,
 		    sym->n_desc&0xffff, typestring(sym->n_type));
 	else {
 		putchar(' ');
@@ -506,7 +506,7 @@
 	}
 
 	/* print the symbol's name */
-	(void)puts(sym->n_un.n_name);
+	puts(sym->n_un.n_name);
 }
 
 /*
@@ -645,6 +645,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: nm [-agnoprtuwW] [file ...]\n");
+	fprintf(stderr, "usage: nm [-agnoprtuwW] [file ...]\n");
 	exit(1);
 }
Index: passwd/local_passwd.c
===================================================================
RCS file: /cvs/src/usr.bin/passwd/local_passwd.c,v
retrieving revision 1.3
diff -u -u -r1.3 local_passwd.c
--- passwd/local_passwd.c	4 Oct 2003 20:36:50 -0000	1.3
+++ passwd/local_passwd.c	7 Nov 2004 20:02:15 -0000
@@ -98,7 +98,7 @@
 	struct timeval tv;
 
 	if (!nis)
-		(void)printf("Changing local password for %s.\n", pw->pw_name);
+		printf("Changing local password for %s.\n", pw->pw_name);
 
 	if (uid && pw->pw_passwd[0] &&
 	    strcmp(crypt(getpass("Old password:"), pw->pw_passwd),
@@ -132,25 +132,25 @@
 	for (buf[0] = '\0', tries = 0;;) {
 		p = getpass("New password:");
 		if (!*p) {
-			(void)printf("Password unchanged.\n");
+			printf("Password unchanged.\n");
 			pw_error(NULL, 0, 0);
 		}
 		if (strlen(p) < min_length && (uid != 0 || ++tries < 2)) {
-			(void)printf("Please enter a password at least %d characters in length.\n", min_length);
+			printf("Please enter a password at least %d characters in length.\n", min_length);
 			continue;
 		}
 		
 		if (force_mix_case) {
 		    for (t = p; *t && islower(*t); ++t);
 		    if (!*t && (uid != 0 || ++tries < 2)) {
-			    (void)printf("Please don't use an all-lower case password.\nUnusual capitalization, control characters or digits are suggested.\n");
+			    printf("Please don't use an all-lower case password.\nUnusual capitalization, control characters or digits are suggested.\n");
 			    continue;
 		    }
 		}
-		(void)strcpy(buf, p);
+		strcpy(buf, p);
 		if (!strcmp(buf, getpass("Retype new password:")))
 			break;
-		(void)printf("Mismatch; try again, EOF to quit.\n");
+		printf("Mismatch; try again, EOF to quit.\n");
 	}
 	/* grab a random printable character that isn't a colon */
 	if (!randinit) {
@@ -170,7 +170,7 @@
 		pw_error("cannot set password cipher", 1, 1);
 	login_close(lc);
 #else
-	(void)crypt_set_format("md5");
+	crypt_set_format("md5");
 #endif
 	/* Salt suitable for anything */
 	to64(&salt[0], random(), 3);
Index: passwd/passwd.c
===================================================================
RCS file: /cvs/src/usr.bin/passwd/passwd.c,v
retrieving revision 1.3
diff -u -u -r1.3 passwd.c
--- passwd/passwd.c	4 Oct 2003 20:36:50 -0000	1.3
+++ passwd/passwd.c	7 Nov 2004 20:02:15 -0000
@@ -224,7 +224,7 @@
 		"usage: passwd [-l] [-i instance] [-r realm] [-u fullname]",
 		"       passwd [-l] [-y] [-o] [-d domain [-h host]] [user]");
 #else
-	(void)fprintf(stderr,
+	fprintf(stderr,
 		"usage: passwd [-l] [-y] [-o] [-d domain [-h host]] [user]\n");
 #endif
 #else
@@ -232,7 +232,7 @@
 	fprintf(stderr,
 		"usage: passwd [-l] [-i instance] [-r realm] [-u fullname] [user]\n");
 #else
-	(void)fprintf(stderr, "usage: passwd user\n");
+	fprintf(stderr, "usage: passwd user\n");
 #endif
 #endif
 	exit(1);
Index: paste/paste.c
===================================================================
RCS file: /cvs/src/usr.bin/paste/paste.c,v
retrieving revision 1.2
diff -u -u -r1.2 paste.c
--- paste/paste.c	17 Jun 2003 04:29:30 -0000	1.2
+++ paste/paste.c	7 Nov 2004 20:02:15 -0000
@@ -202,7 +202,7 @@
 		if (needdelim)
 			putchar('\n');
 		if (fp != stdin)
-			(void)fclose(fp);
+			fclose(fp);
 	}
 
 	return (failed != 0);
@@ -240,6 +240,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: paste [-s] [-d delimiters] file ...\n");
+	fprintf(stderr, "usage: paste [-s] [-d delimiters] file ...\n");
 	exit(1);
 }
Index: patch/inp.c
===================================================================
RCS file: /cvs/src/usr.bin/patch/inp.c,v
retrieving revision 1.2
diff -u -u -r1.2 inp.c
--- patch/inp.c	28 Sep 2004 19:09:50 -0000	1.2
+++ patch/inp.c	7 Nov 2004 20:02:15 -0000
@@ -346,7 +346,7 @@
 	using_plan_a = false;
 	if ((ifp = fopen(filename, "r")) == NULL)
 		pfatal("can't open file %s", filename);
-	(void) unlink(TMPINNAME);
+	unlink(TMPINNAME);
 	if ((tifd = open(TMPINNAME, O_EXCL | O_CREAT | O_WRONLY, 0666)) < 0)
 		pfatal("can't open file %s", TMPINNAME);
 	while (fgets(buf, sizeof buf, ifp) != NULL) {
Index: pr/egetopt.c
===================================================================
RCS file: /cvs/src/usr.bin/pr/egetopt.c,v
retrieving revision 1.3
diff -u -u -r1.3 egetopt.c
--- pr/egetopt.c	4 Oct 2003 20:36:50 -0000	1.3
+++ pr/egetopt.c	7 Nov 2004 20:02:15 -0000
@@ -142,7 +142,7 @@
 				p = *nargv;
 			else
 				++p;
-			(void)fprintf(stderr, "%s: illegal option -- %c\n",
+			fprintf(stderr, "%s: illegal option -- %c\n",
 			    p, eoptopt);
 		}
 		return (BADCH);
@@ -158,7 +158,7 @@
 				p = *nargv;
 			else
 				++p;
-			(void)fprintf(stderr,
+			fprintf(stderr,
 				"%s: illegal '+' delimiter with option -- %c\n",
 				p, eoptopt);
 		}
@@ -195,7 +195,7 @@
 				p = *nargv;
 			else
 				++p;
-			(void)fprintf(stderr,
+			fprintf(stderr,
 			    "%s: option requires an argument -- %c\n", p,
 			    eoptopt);
 		}
Index: pr/pr.c
===================================================================
RCS file: /cvs/src/usr.bin/pr/pr.c,v
retrieving revision 1.3
diff -u -u -r1.3 pr.c
--- pr/pr.c	4 Oct 2003 20:36:50 -0000	1.3
+++ pr/pr.c	7 Nov 2004 20:02:15 -0000
@@ -110,7 +110,7 @@
 	int ret_val;
 
 	if (signal(SIGINT, SIG_IGN) != SIG_IGN)
-		(void)signal(SIGINT, terminate);
+		signal(SIGINT, terminate);
 	ret_val = setup(argc, argv);
 	if (!ret_val) {
 		/*
@@ -145,10 +145,10 @@
 	if ((pauseall || (pausefst && pagecnt == 1)) &&
 	    isatty(STDOUT_FILENO)) {
 		if ((ttyfp = fopen("/dev/tty", "r")) != NULL) {
-			(void)putc('\a', stderr);
+			putc('\a', stderr);
 			while ((pch = getc(ttyfp)) != '\n' && pch != EOF)
 				;
-			(void)fclose(ttyfp);
+			fclose(ttyfp);
 		}
 	}
 }
@@ -206,8 +206,8 @@
 	if (num)
 		nbuf[--num] = nmchar;
 	if (offst) {
-		(void)memset(obuf, (int)' ', offst);
-		(void)memset(hbuf, (int)' ', offst);
+		memset(obuf, (int)' ', offst);
+		memset(hbuf, (int)' ', offst);
 	}
 
 	/*
@@ -292,7 +292,7 @@
 			++pagecnt;
 		}
 		if (inf != stdin)
-			(void)fclose(inf);
+			fclose(inf);
 	}
 	if (eoptind < argc)
 		return(1);
@@ -352,7 +352,7 @@
 	}
 	ohbuf = hbuf + offst;
 	if (offst)
-		(void)memset(hbuf, (int)' ', offst);
+		memset(hbuf, (int)' ', offst);
 
 	/*
 	 * col pointers when no headers
@@ -397,7 +397,7 @@
 		indy[j] = lindy[j] + offst;
 		if (offst) {
 			ptbf = buf + lindy[j];
-			(void)memset(ptbf, (int)' ', offst);
+			memset(ptbf, (int)' ', offst);
 			ptbf += offst;
 		} else
 			ptbf = buf + indy[j];
@@ -480,7 +480,7 @@
 						if (sflag)
 							*ptbf++ = schar;
 						else if ((pln = col-cnt) > 0) {
-							(void)memset(ptbf,
+							memset(ptbf,
 								(int)' ',pln);
 							ptbf += pln;
 						}
@@ -613,7 +613,7 @@
 			++pagecnt;
 		}
 		if (inf != stdin)
-			(void)fclose(inf);
+			fclose(inf);
 	}
 	if (eoptind < argc)
 		return(1);
@@ -659,8 +659,8 @@
 	}
 	ohbuf = hbuf + offst;
 	if (offst) {
-		(void)memset(buf, (int)' ', offst);
-		(void)memset(hbuf, (int)' ', offst);
+		memset(buf, (int)' ', offst);
+		memset(hbuf, (int)' ', offst);
 	}
 
 	/*
@@ -721,7 +721,7 @@
 					if (sflag)
 						*ptbf++ = schar;
 					else if ((pln = col - cnt) > 0) {
-						(void)memset(ptbf,(int)' ',pln);
+						memset(ptbf,(int)' ',pln);
 						ptbf += pln;
 					}
 				}
@@ -755,7 +755,7 @@
 			++pagecnt;
 		}
 		if (inf != stdin)
-			(void)fclose(inf);
+			fclose(inf);
 	}
 	if (eoptind < argc)
 		return(1);
@@ -841,7 +841,7 @@
 		pgwd = ((colwd + 1) * clcnt) - 1;
 	}
 	if (colwd < 1) {
-		(void)fprintf(err,
+		fprintf(err,
 		  "pr: page width too small for %d columns\n", clcnt);
 		return(1);
 	}
@@ -856,8 +856,8 @@
 		return(1);
 	}
 	if (offst) {
-		(void)memset(buf, (int)' ', offst);
-		(void)memset(hbuf, (int)' ', offst);
+		memset(buf, (int)' ', offst);
+		memset(hbuf, (int)' ', offst);
 	}
 	if (pgnm)
 		pagecnt = pgnm;
@@ -903,7 +903,7 @@
 					 * EOF hit; no data
 					 */
 					if (fbuf[j] != stdin)
-						(void)fclose(fbuf[j]);
+						fclose(fbuf[j]);
 					fbuf[j] = NULL;
 					--actf;
 					cnt = 0;
@@ -928,7 +928,7 @@
 				if (sflag) {
 					*ptbf++ = schar;
 				} else if ((pln = col - cnt) > 0) {
-					(void)memset(ptbf, (int)' ', pln);
+					memset(ptbf, (int)' ', pln);
 					ptbf += pln;
 				}
 			}
@@ -1236,7 +1236,7 @@
 		}
 		if (c == EOF) {
 			if (inf != stdin)
-				(void)fclose(inf);
+				fclose(inf);
 			return(1);
 		}
 	}
@@ -1278,7 +1278,7 @@
 			return(inf);
 		if (gettimeofday(&tv, &tz) < 0) {
 			++errcnt;
-			(void)fprintf(err, "pr: cannot get time of day, %s\n",
+			fprintf(err, "pr: cannot get time of day, %s\n",
 				strerror(errno));
 			eoptind = argc - 1;
 			return(NULL);
@@ -1302,7 +1302,7 @@
 				return(inf);
 			if (gettimeofday(&tv, &tz) < 0) {
 				++errcnt;
-				(void)fprintf(err,
+				fprintf(err,
 					"pr: cannot get time of day, %s\n",
 					strerror(errno));
 				return(NULL);
@@ -1317,7 +1317,7 @@
 				++errcnt;
 				if (nodiag)
 					continue;
-				(void)fprintf(err, "pr: Cannot open %s, %s\n",
+				fprintf(err, "pr: Cannot open %s, %s\n",
 					argv[eoptind], strerror(errno));
 				continue;
 			}
@@ -1334,7 +1334,7 @@
 			if (dt) {
 				if (gettimeofday(&tv, &tz) < 0) {
 					++errcnt;
-					(void)fprintf(err,
+					fprintf(err,
 					     "pr: cannot get time of day, %s\n",
 					     strerror(errno));
 					return(NULL);
@@ -1344,8 +1344,8 @@
 			} else {
 				if (fstat(fileno(inf), &statbuf) < 0) {
 					++errcnt;
-					(void)fclose(inf);
-					(void)fprintf(err,
+					fclose(inf);
+					fprintf(err,
 						"pr: Cannot stat %s, %s\n",
 						argv[eoptind], strerror(errno));
 					return(NULL);
@@ -1364,8 +1364,8 @@
 	if (strftime(buf, HDBUF, timefrmt, timeptr) <= 0) {
 		++errcnt;
 		if (inf != stdin)
-			(void)fclose(inf);
-		(void)fputs("pr: time conversion failed\n", err);
+			fclose(inf);
+		fputs("pr: time conversion failed\n", err);
 		return(NULL);
 	}
 	return(inf);
@@ -1435,7 +1435,7 @@
 	 */
 	if (offst && otln(buf, offst, &ips, &ops, -1))
 		return(1);
-	(void)printf(HDFMT,buf+offst, fname, pagcnt);
+	printf(HDFMT,buf+offst, fname, pagcnt);
 	return(0);
 }
 
@@ -1523,36 +1523,36 @@
 {
 	char buf[BUFSIZ];
 
-	(void)fflush(stdout);
-	(void)fflush(err);
+	fflush(stdout);
+	fflush(err);
 	if (err == stderr)
 		return;
 	rewind(err);
 	while (fgets(buf, BUFSIZ, err) != NULL)
-		(void)fputs(buf, stderr);
+		fputs(buf, stderr);
 }
 
 void
 mfail(void)
 {
-	(void)fputs("pr: memory allocation failed\n", err);
+	fputs("pr: memory allocation failed\n", err);
 }
 
 void
 pfail(void)
 {
-	(void)fprintf(err, "pr: write failure, %s\n", strerror(errno));
+	fprintf(err, "pr: write failure, %s\n", strerror(errno));
 }
 
 void
 usage(void)
 {
-	(void)fputs(
+	fputs(
 	 "usage: pr [+page] [-col] [-adFfmprt] [-e[ch][gap]] [-h header]\n",
 	 err);
-	(void)fputs(
+	fputs(
 	 "          [-i[ch][gap]] [-l line] [-n[ch][width]] [-o offset]\n",err);
-	(void)fputs(
+	fputs(
 	 "          [-L locale] [-s[ch]] [-w width] [-] [file ...]\n", err);
 }
 
@@ -1577,7 +1577,7 @@
 		 */
 		if ((err = tmpfile()) == NULL) {
 			err = stderr;
-		       (void)fputs("Cannot defer diagnostic messages\n",stderr);
+		       fputs("Cannot defer diagnostic messages\n",stderr);
 		       return(1);
 		}
 	} else
@@ -1586,14 +1586,14 @@
 		switch (c) {
 		case '+':
 			if ((pgnm = atoi(eoptarg)) < 1) {
-			    (void)fputs("pr: +page number must be 1 or more\n",
+			    fputs("pr: +page number must be 1 or more\n",
 				err);
 			    return(1);
 			}
 			break;
 		case '-':
 			if ((clcnt = atoi(eoptarg)) < 1) {
-			    (void)fputs("pr: -columns must be 1 or more\n",err);
+			    fputs("pr: -columns must be 1 or more\n",err);
 			    return(1);
 			}
 			if (clcnt > 1)
@@ -1613,14 +1613,14 @@
 				inchar = INCHAR;
 			if ((eoptarg != NULL) && isdigit((unsigned char)*eoptarg)) {
 				if ((ingap = atoi(eoptarg)) < 0) {
-					(void)fputs(
+					fputs(
 					"pr: -e gap must be 0 or more\n", err);
 					return(1);
 				}
 				if (ingap == 0)
 					ingap = INGAP;
 			} else if ((eoptarg != NULL) && (*eoptarg != '\0')) {
-				(void)fprintf(err,
+				fprintf(err,
 				      "pr: invalid value for -e %s\n", eoptarg);
 				return(1);
 			} else
@@ -1643,14 +1643,14 @@
 				ochar = OCHAR;
 			if ((eoptarg != NULL) && isdigit((unsigned char)*eoptarg)) {
 				if ((ogap = atoi(eoptarg)) < 0) {
-					(void)fputs(
+					fputs(
 					"pr: -i gap must be 0 or more\n", err);
 					return(1);
 				}
 				if (ogap == 0)
 					ogap = OGAP;
 			} else if ((eoptarg != NULL) && (*eoptarg != '\0')) {
-				(void)fprintf(err,
+				fprintf(err,
 				      "pr: invalid value for -i %s\n", eoptarg);
 				return(1);
 			} else
@@ -1661,7 +1661,7 @@
 			break;
 		case 'l':
 			if (!isdigit((unsigned char)*eoptarg) || ((lines=atoi(eoptarg)) < 1)) {
-				(void)fputs(
+				fputs(
 				 "pr: Number of lines must be 1 or more\n",err);
 				return(1);
 			}
@@ -1676,12 +1676,12 @@
 				nmchar = NMCHAR;
 			if ((eoptarg != NULL) && isdigit((unsigned char)*eoptarg)) {
 				if ((nmwd = atoi(eoptarg)) < 1) {
-					(void)fputs(
+					fputs(
 					"pr: -n width must be 1 or more\n",err);
 					return(1);
 				}
 			} else if ((eoptarg != NULL) && (*eoptarg != '\0')) {
-				(void)fprintf(err,
+				fprintf(err,
 				      "pr: invalid value for -n %s\n", eoptarg);
 				return(1);
 			} else
@@ -1689,7 +1689,7 @@
 			break;
 		case 'o':
 			if (!isdigit((unsigned char)*eoptarg) || ((offst = atoi(eoptarg))< 1)){
-				(void)fputs("pr: -o offset must be 1 or more\n",
+				fputs("pr: -o offset must be 1 or more\n",
 					err);
 				return(1);
 			}
@@ -1707,7 +1707,7 @@
 			else {
 				schar = *eoptarg++;
 				if (*eoptarg != '\0') {
-					(void)fprintf(err,
+					fprintf(err,
 					    "pr: invalid value for -s %s\n",
 					    eoptarg);
 					return(1);
@@ -1720,7 +1720,7 @@
 		case 'w':
 			++wflag;
 			if (!isdigit((unsigned char)*eoptarg) || ((pgwd = atoi(eoptarg)) < 1)){
-				(void)fputs(
+				fputs(
 				   "pr: -w width must be 1 or more \n",err);
 				return(1);
 			}
@@ -1745,12 +1745,12 @@
 	}
 	if (across) {
 		if (clcnt == 1) {
-			(void)fputs("pr: -a flag requires multiple columns\n",
+			fputs("pr: -a flag requires multiple columns\n",
 				err);
 			return(1);
 		}
 		if (merge) {
-			(void)fputs("pr: -m cannot be used with -a\n", err);
+			fputs("pr: -m cannot be used with -a\n", err);
 			return(1);
 		}
 	}
@@ -1772,7 +1772,7 @@
 	}
 	if (cflag) {
 		if (merge) {
-			(void)fputs(
+			fputs(
 			  "pr: -m cannot be used with multiple columns\n", err);
 			return(1);
 		}
@@ -1784,7 +1784,7 @@
 			pgwd = ((colwd + 1) * clcnt) - 1;
 		}
 		if (colwd < 1) {
-			(void)fprintf(err,
+			fprintf(err,
 			  "pr: page width is too small for %d columns\n",clcnt);
 			return(1);
 		}
@@ -1813,7 +1813,7 @@
 		}
 	}
 
-	(void) setlocale(LC_TIME, (Lflag != NULL) ? Lflag : "");
+	setlocale(LC_TIME, (Lflag != NULL) ? Lflag : "");
 
 	d_first = (*nl_langinfo(D_MD_ORDER) == 'd');
 	timefrmt = d_first ? TIMEFMTD : TIMEFMTM;
Index: printenv/printenv.c
===================================================================
RCS file: /cvs/src/usr.bin/printenv/printenv.c,v
retrieving revision 1.3
diff -u -u -r1.3 printenv.c
--- printenv/printenv.c	4 Oct 2003 20:36:50 -0000	1.3
+++ printenv/printenv.c	7 Nov 2004 20:02:16 -0000
@@ -70,7 +70,7 @@
 
 	if (argc == 0) {
 		for (ep = environ; *ep; ep++)
-			(void)printf("%s\n", *ep);
+			printf("%s\n", *ep);
 		exit(0);
 	}
 	len = strlen(*argv);
@@ -78,7 +78,7 @@
 		if (!memcmp(*ep, *argv, len)) {
 			cp = *ep + len;
 			if (!*cp || *cp == '=') {
-				(void)printf("%s\n", *cp ? cp + 1 : cp);
+				printf("%s\n", *cp ? cp + 1 : cp);
 				exit(0);
 			}
 		}
@@ -88,6 +88,6 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: printenv [name]\n");
+	fprintf(stderr, "usage: printenv [name]\n");
 	exit(1);
 }
